For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profile Data Types (PDT) Formation

Endpoints to receive an information of PDTs from formation.

Get All PDT

get

The endpoint GET {{url}}/{{tenantName}}/{{instanceName}}/formations/current/pdts retrieves the list of Profile Data Types (PDTs) for the current formation in the specified instance. PDTs are used to define custom data types that can be associated with user profiles in the system. The response will contain an array of PDT objects, each containing information about the PDT.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Responses
200

List of PDT formations

application/json
idstring · uuidOptional
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
internalbooleanOptional
readablebooleanOptionalDefault: true
updatablebooleanOptionalDefault: true
contactablebooleanOptional
typestring · enumOptionalPossible values:
sourceTypestring · enumOptionalPossible values:
get/{tenantName}/{instanceName}/formations/current/pdts
GET /{tenantName}/{instanceName}/formations/current/pdts HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "title": "text",
    "internal": true,
    "readable": true,
    "updatable": true,
    "contactable": true,
    "type": "SINGLE_RECORD",
    "sourceType": "INTERNAL",
    "fields": [
      {
        "name": "text",
        "type": "TEXT",
        "formula": "text",
        "dictionary": {
          "name": "text",
          "field": "text"
        },
        "profileDataType": {
          "name": "text",
          "fields": [
            "text"
          ]
        },
        "customDataType": {
          "name": "text",
          "fields": [
            "text"
          ]
        },
        "customFieldType": "text",
        "editable": true,
        "searchable": true,
        "bulkEdit": true,
        "phi": true,
        "disable": true,
        "injectedSource": true,
        "displayType": "CHECKBOX",
        "valueType": "STRING",
        "meta": {
          "label": "text",
          "minLength": 1,
          "maxLength": 1,
          "minValue": "text",
          "maxValue": "text",
          "fileTypes": [
            "text"
          ],
          "maxFiles": 1,
          "maxTotalFileSize": 1,
          "required": true,
          "options": [
            {
              "label": "text",
              "value": null,
              "refCdtName": "text"
            }
          ],
          "multiple": true,
          "patterns": [
            "NUMBERS_ONLY"
          ]
        },
        "mask": {
          "symbol": "*",
          "startPosition": 1,
          "endPosition": 1
        },
        "richTextEnabled": true
      }
    ]
  }
]

Get All PDT by name

get

This endpoint is used to retrieve information about a specific Profile Data Type (PDT) in the current formation for a given tenant and instance. PDTs are data types that define the structure and properties of profiles that can be created in the Welkin Health platform. The endpoint requires the name of the core type as a parameter to identify the PDT to retrieve.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
pdtNamestringRequired

Profile Data Type (PDT) name

Responses
200

PDT formation

application/json
idstring · uuidOptional
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
internalbooleanOptional
readablebooleanOptionalDefault: true
updatablebooleanOptionalDefault: true
contactablebooleanOptional
typestring · enumOptionalPossible values:
sourceTypestring · enumOptionalPossible values:
get/{tenantName}/{instanceName}/formations/current/pdts/{pdtName}
GET /{tenantName}/{instanceName}/formations/current/pdts/{pdtName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "title": "text",
  "internal": true,
  "readable": true,
  "updatable": true,
  "contactable": true,
  "type": "SINGLE_RECORD",
  "sourceType": "INTERNAL",
  "fields": [
    {
      "name": "text",
      "type": "TEXT",
      "formula": "text",
      "dictionary": {
        "name": "text",
        "field": "text"
      },
      "profileDataType": {
        "name": "text",
        "fields": [
          "text"
        ]
      },
      "customDataType": {
        "name": "text",
        "fields": [
          "text"
        ]
      },
      "customFieldType": "text",
      "editable": true,
      "searchable": true,
      "bulkEdit": true,
      "phi": true,
      "disable": true,
      "injectedSource": true,
      "displayType": "CHECKBOX",
      "valueType": "STRING",
      "meta": {
        "label": "text",
        "minLength": 1,
        "maxLength": 1,
        "minValue": "text",
        "maxValue": "text",
        "fileTypes": [
          "text"
        ],
        "maxFiles": 1,
        "maxTotalFileSize": 1,
        "required": true,
        "options": [
          {
            "label": "text",
            "value": null,
            "refCdtName": "text"
          }
        ],
        "multiple": true,
        "patterns": [
          "NUMBERS_ONLY"
        ]
      },
      "mask": {
        "symbol": "*",
        "startPosition": 1,
        "endPosition": 1
      },
      "richTextEnabled": true
    }
  ]
}

Last updated

Was this helpful?